/**
 * @file xutil.h
 * @brief In memory string manipulation.
 */


#ifndef XUTIL_H
#define	XUTIL_H

/**
 * @brief Safe memory allocation. Abort if not enough.
 * @param size The amount of memory to allocate.
 * @return A pointer to the allocated memory.
 */
char *xmalloc(size_t size);

/**
 * @brief Copy string in memory.
 * @param src The source string to copy.
 * @return A pointer to the string with the copied string.
 */
char *xstrcpy(char *src);

/**
 * @brief Add data to a string in memory.
 * @param src The original string.
 * @param add The string to append to src.
 * @return A pointer to the combined string.
 */
char *xstrcat(char *src, char *add);

#endif
